Remove a template workspace resource
Removes one persistent resource from mounted context and advances the workspace revision.
Removes one persistent resource from mounted context and advances the workspace revision.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$resourceId*string
Match
^[A-Za-z0-9._-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
idempotencyKey*string
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/resources/string/remove" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string", "idempotencyKey": "string" }'{ "projectId": "string", "organizationId": "string", "ownerEpoch": 0, "repositoryName": "string", "defaultBranch": "string", "baseCommit": "string", "remoteHead": "string", "pendingRemoteHead": "string", "revision": "string", "overlay": { "property1": "string", "property2": "string" }, "conflicts": [ { "path": "string", "base": "string", "draft": "string", "main": "string" } ], "provenance": { "references": [ { "kind": "string", "digest": "string", "locator": "string" } ] }, "mounts": [ { "kind": "project", "root": "/project", "access": "read-write" } ], "libraryManifestDigest": "string", "createdAt": "string", "updatedAt": "string", "createdBy": { "userId": "string", "via": "api" }, "updatedBy": { "userId": "string", "via": "api" }}Delete a template
Deletes a template from the organization and returns a success flag. Use this endpoint to delete a template through the Samva email API.
Rename a template family
Changes a template family's name and returns the updated family. Use this endpoint to rename a template family through the Samva email API.